using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls.UI;
using Telerik.WinControls;

namespace RadPanelBarOutlookLike
{
    public partial class Form1 : Form
    {
        Timer timer = new Timer();
        Font font;
        Padding padding;

        public Form1()
        {
            InitializeComponent();

            font = new Font("Arial", 12, FontStyle.Bold);
            padding = new Padding(0, 5, 0, 5);

            timer.Interval = 1;
            timer.Tick += new EventHandler(timer_Tick);

            this.radPanelBar1.PanelBarGroupSelected += new PanelBarGroupEventHandler(radPanelBar1_PanelBarGroupSelected);
         }

        private void Form1_Load(object sender, EventArgs e)
        {
            ChangeProperties();
        }

        void radPanelBar1_PanelBarGroupSelected(object sender, PanelBarGroupEventArgs args)
        {
            timer.Start();
        }

        void timer_Tick(object sender, EventArgs e)
        {
            ChangeProperties();

            timer.Stop();
        }

        private void ChangeProperties()
        {
            RadPanelBarVisualElement visual = this.radPanelBar1.PanelBarElement.Children[0].Children[0] as RadPanelBarVisualElement;
            visual.TextAlignment = ContentAlignment.TopLeft;
            visual.ForeColor = Color.FromArgb(21, 66, 139);
            visual.Font = font;
            visual.Padding = padding;
        }
    }
}